# Function core::arch::x86_64::_mm_test_all_ones

1.27.0 · source ·

    pub unsafe fn _mm_test_all_ones(a: __m128i) -> i32

Available on (x86 or x86-64) and target feature `sse4.1` and x86-64 only.
Expand description

Tests whether the specified bits in `a` 128-bit integer vector are all ones.

Argument:

- `a` - A 128-bit integer vector containing the bits to be tested.

Returns:

- `1` - if the bits specified in the operand are all set to 1,
- `0` - otherwise.

Intel’s documentation